### File

`packages/eui-mobile/packages/core/src/lib/components/euim-data-summary/euim-data-summary.component.ts`

### Implements

`AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : color
selector | `euim-data-summary`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-data-summary.component.html`

### Index

###### Properties

- Public baseStatesDirective
- euimDataSummaryColLabelComponent
- euimDataSummaryColValueComponent

###### Methods

- getCssClasses

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(baseStatesDirective: BaseStatesDirective)`

Parameters :

Name | Type | Optional
baseStatesDirective | `BaseStatesDirective` | No

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`

euimDataSummaryColLabelComponent
Type : `QueryList<EuimDataSummaryColLabelDirective>`
Decorators : `@ContentChildren(EuimDataSummaryColLabelDirective, {descendants: true})`

euimDataSummaryColValueComponent
Type : `QueryList<EuimDataSummaryColValueDirective>`
Decorators : `@ContentChildren(EuimDataSummaryColValueDirective, {descendants: true})`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""